Notice: In order to edit this ticket you need to be either: a Product Owner, The owner or the reporter of the ticket, or, in case of a Task not yet assigned, a team_member"

Task #3185 (closed)

Opened 10 years ago

Closed 10 years ago

Change message on SOFT to "could not delete" rather than "ConstraintViolation"

Reported by: jamoore Owned by: jamoore
Priority: major Milestone: OMERO-Beta4.2.1
Component: General Version: n.a.
Keywords: n.a. Cc:
Resources: n.a. Referenced By: n.a.
References: n.a. Remaining Time: 0.0d
Sprint: 2010-11-11 (19)

Description (last modified by jmoore)

...
 14 | ImageI | 34761 | owner=0;group=0 | Tue Mar  2 10:01:15 2010 | /Users/andrew/Work/SVN/Documentation/Samples/OmeFiles/2010-06/18x24y5z5t1c8b-text.ome           | None        | FormatI:107 
 15 | ImageI | 34762 | owner=0;group=0 | Tue Mar  2 10:01:15 2010 | 18x24y1z5t1c8b-text                                                                             | None        | FormatI:29  
 16 | ImageI | 34763 | owner=0;group=0 | Tue Mar  2 10:01:15 2010 | /Users/andrew/Work/SVN/Documentation/Samples/OmeFiles/2010-06/18x24y5z5t2c8b-text.ome           | None        | FormatI:107 
 17 | ImageI | 34764 | owner=0;group=0 | Tue Mar  2 10:01:15 2010 | 18x24y1z5t1c8b-text                                                                             | None        | FormatI:29  
 18 | ImageI | 34765 | owner=0;group=0 | Tue Feb 23 00:51:30 2010 | /Users/andrew/Work/SVN/Documentation/Samples/OmeFiles/2010-06/6x4y1z1t1c8b-swatch-1s1p4w2ws.ome | None        | FormatI:107 
 19 | ImageI | 34766 | owner=0;group=0 | Tue Feb 23 00:51:30 2010 | /Users/andrew/Work/SVN/Documentation/Samples/OmeFiles/2010-06/6x4y1z1t1c8b-swatch-1s1p4w2ws.ome | None        | FormatI:107 
 20 | ImageI | 34767 | owner=0;group=0 | Tue Feb 23 00:51:30 2010 | /Users/andrew/Work/SVN/Documentation/Samples/OmeFiles/2010-06/6x4y1z1t1c8b-swatch-1s1p4w2ws.ome | None        | FormatI:107 
 21 | ImageI | 34768 | owner=0;group=0 | Tue Feb 23 00:51:30 2010 | /Users/andrew/Work/SVN/Documentation/Samples/OmeFiles/2010-06/6x4y1z1t1c8b-swatch-1s1p4w2ws.ome | None        | FormatI:107 
 22 | ImageI | 34769 | owner=0;group=0 | Tue Feb 23 00:51:30 2010 | /Users/andrew/Work/SVN/Documentation/Samples/OmeFiles/2010-06/6x4y1z1t1c8b-swatch-1s1p4w2ws.ome | None        | FormatI:107 
 23 | ImageI | 34770 | owner=0;group=0 | Tue Feb 23 00:51:30 2010 | /Users/andrew/Work/SVN/Documentation/Samples/OmeFiles/2010-06/6x4y1z1t1c8b-swatch-1s1p4w2ws.ome | None        | FormatI:107 
 24 | ImageI | 34771 | owner=0;group=0 | Tue Feb 23 00:51:30 2010 | /Users/andrew/Work/SVN/Documentation/Samples/OmeFiles/2010-06/6x4y1z1t1c8b-swatch-1s1p4w2ws.ome | None        | FormatI:107 
(25 rows)
~/code/git/dist $ bin/omero delete /Image:34771 /Image:34770 /Image:34769 /Image:34768 /Image:34618
Using session 4f83e261-ae10-47c9-b8bb-f29db86593f4 (root@localhost). Idle timeout: 10.0 min. Current group: system
Deleting /Image 34771... ok (ConstraintViolation: fkchannel_logicalchannel_logicalchannel)
Deleting /Image 34770... ok (ConstraintViolation: fkchannel_logicalchannel_logicalchannel)
Deleting /Image 34769... ok (ConstraintViolation: fkchannel_logicalchannel_logicalchannel)
Deleting /Image 34768... ok (ConstraintViolation: fkchannel_logicalchannel_logicalchannel)
Deleting /Image 34618... ok
~/code/git/dist $ 

Also re-add newlines and/or semi-colons between messages.

Change History (6)

comment:1 Changed 10 years ago by jmoore

  • Description modified (diff)

comment:2 Changed 10 years ago by jmoore

  • Owner set to jmoore

comment:3 Changed 10 years ago by jmoore

  • Remaining Time set to 0.1

comment:4 Changed 10 years ago by jburel

  • Sprint changed from 2010-10-28 (18) to 2010-11-11 (19)

Moved from sprint 2010-10-28 (18)

comment:5 Changed 10 years ago by jmoore

  • Status changed from new to assigned

comment:6 Changed 10 years ago by jmoore

  • Remaining Time changed from 0.1 to 0
  • Resolution set to fixed
  • Status changed from assigned to closed

(In [8431]) Fixing soft delete warnings (Fix #3185)

Note: See TracTickets for help on using tickets. You may also have a look at Agilo extensions to the ticket.

1.3.13-PRO © 2008-2011 Agilo Software all rights reserved (this page was served in: 0.83291 sec.)

We're Hiring!